=== tests/auto/qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qml.pro.

if(NOT UIKIT)
    add_subdirectory(qmlwebsockets)
endif()
