=== debian/control ===
Source: qt6-websockets
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~)
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-websockets.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-websockets
Maintainer: Neon CI <neon@kde.org>

Package: qt6-websockets
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: qt6-websockets-private-abi (= 6.10.0)
Replaces: libqt6websockets6, qml6-module-qtwebsockets
Description: Qt 6 WebSockets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a Qt library that implements WebSockets, both
 client and server.

Package: qt6-websockets-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-websockets (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6websockets6-dev (<< 6.4.2)
Replaces: libqt6websockets6-dev,
          qt6-websockets-doc-dev,
          qt6-websockets-examples,
          qt6-websockets-private-dev
Description: Qt 6 WebSockets library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt 6 WebSockets library.

Package: qt6-websockets-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-websockets-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-websockets-doc-html
Description: Qt 6 WebSockets library - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation to help build Qt applications
 using Qt 6 WebSockets library.

Package: libqt6websockets6
Architecture: all
Depends: qt6-websockets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6websockets6-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebsockets
Architecture: all
Depends: qt6-websockets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-private-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-doc-html
Architecture: all
Depends: qt6-websockets-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-doc-dev
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-websockets-examples
Architecture: all
Depends: qt6-websockets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
