## qt6-websockets 6.10.1

=== debian/changelog ===
qt6-websockets (6.10.1-0zneon+24.04+noble+stable+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 06:47:46 +0000

qt6-websockets (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:07 +1000
