=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
@@ -31,7 +31,7 @@
 X-Neon-MergedPackage: true
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: qt6-websockets-private-abi (= 6.10.0)
+Provides: qt6-websockets-private-abi (= 6.10.1)
 Replaces: libqt6websockets6, qml6-module-qtwebsockets
 Description: Qt 6 WebSockets library
  Qt is a cross-platform C++ application framework. Qt's primary feature
