## qt6-websockets 6.10.2

=== src/imports/qmlwebsockets/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,7 @@
     PAST_MAJOR_VERSIONS 1
     CLASS_NAME QtWebSocketsDeclarativeModule
     PLUGIN_TARGET qmlwebsockets
-    NO_PLUGIN_OPTIONAL
-    NO_GENERATE_PLUGIN_SOURCE
-    NO_GENERATE_QMLTYPES
-    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
     SOURCES
-        qmlwebsockets_plugin.cpp qmlwebsockets_plugin.h
         qqmlwebsocket.cpp qqmlwebsocket.h
         qqmlwebsocketserver.cpp qqmlwebsocketserver.h
     DEFINES
